/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/

:root {
/* Text size scale */
--text-xs: clamp(12.64px, -0.01vi + 12.69px, 12.5px);
--text-s: clamp(14.22px, 0.08vi + 13.96px, 15px);
--text-m: clamp(16px, 0.21vi + 15.33px, 18px);
--text-l: clamp(18px, 0.37vi + 16.8px, 21.6px);
--text-xl: clamp(20.25px, 0.59vi + 18.36px, 25.92px);

/* Heading size scale */
--h-6: clamp(12.8px, -0.04vi + 12.94px, 12.38px);
--h-5: clamp(16px, 0.05vi + 15.83px, 16.5px);
--h-4: clamp(20px, 0.21vi + 19.33px, 22px);
--h-3: clamp(25px, 0.45vi + 23.56px, 29.33px);
--h-2: clamp(31.25px, 0.82vi + 28.64px, 39.09px);
--h-1: clamp(39.06px, 1.36vi + 34.71px, 52.11px);
}

/* DESKTOP (větší než 780px): Karty se natáhnou na výšku nejvyššího */
@media (min-width: 781px) {
    root {
        height: 100%; 
        align-self: stretch !important; /* Přebije vaše stávající nastavení */
    }
}

/* MOBIL (780px a méně): Karty se smrsknou podle textu */
@media (max-width: 780px) {
    root {
        height: auto !important;
        align-self: flex-start !important;
    }
}
